import 'dart:convert';

import 'package:easy_pass_common/dto/user.dart';
import 'package:flutter_test/flutter_test.dart';

import '../fixture_reader.dart';

void main() {
  group('User - ', () {

    test('fromJson - will initilize internal variables', () async {
      var user = User.fromJson(json.decode(fixture('user.json')));

      expect(user, isNotNull);
      expect(user.id, equals(2));
      expect(user.name, equals('Desmond'));
      expect(user.surname, equals('Letshedi'));
      expect(user.email, equals('desmond@gmail.com'));
      expect(user.password, equals('password'));
      expect(user.phone, equals('0662541612'));
      expect(user.dateOfBirth, equals(DateTime.parse('2020-03-19')));
    });
  });
}